/* OperServ Help Texts

   OperStats - Copyright (c) 2000-2001 Darcy Grexton
   Contact: cygnus@uniserve.ca, skold @ HabberNet, ICQ #6285178

   This program is free but copyrighted software; see the file COPYING
   for details.
 */

static const char *os_help_start[] =
{
    "*** \2" OS " Help\2 ***",
    " ",
    NULL
};

static const char *os_help_end[] =
{  
    " ",
    "*** \2End of Help\2 ***",
    NULL
};

static const char *os_base_help[] =
{
    "\2" OS "\2 gives IRC Operators greater control over",
    "the network through the use of JUPEs, AKILLs, and other",
    "commands.",
    " ",
    "For more information on a specific topic,",
    "\2/MSG " OS " HELP Topic\2",
    " ",
    "\2" OS "\2 contains information on the following topics:",
    " ",
    "\2JUPE\2            Jupiter a server or nick",
    "\2AKILL\2           Add, Remove, or List AutoKills",
    "\2CLONES\2          List the current clones on the network",
    "\2TRIGGER\2         Add, Remove, or List Triggers",
    "\2EXCEPTION\2       Add, Remove, or List Exceptions",
    NULL
};

static const char *os_help_global[] =
{
    "\2GLOBAL\2          Send a global notice",
    NULL
};

static const char *os_help_logonmsg[] =
{
    "\2LOGONMSG\2        Add, Remove, or List LogonMSGs",
    NULL
};

static const char *jupe_help[] =
{
    "Syntax: \2JUPE Server|User [Reason]\2",
    " ",
    "Jupiters the specified server or user. This will remove",
    "the server or user from the network if it already exists.",
    "Jupes will remain in place until SQUIT/KILLed, or until",
    "OperStats is reset. If a reason is given, it will be used",
    "in any SQUIT/KILL of an existing server/user, and in the",
    "jupe's description/realname.",
    " ",
    "Examples: \2JUPE server.network.org Delinked\2",
    "          \2JUPE someuser This nick may not be used.\2",
    NULL
};

static const char *clones_help[] =
{
    "Syntax: \2CLONES Pattern [Limit]\2",
    " ",
    "Lists the current clones on the network. Only hostnames matching",
    "Pattern will be shown. Use * to show all clones. If you give Limit,",
    "only Limit matching hosts will be shown.",
    " ",
    "Regardless of the given Limit, no more than 250 matches will be shown.",
    " ",
    "Examples: \2CLONES *hostname.com 25\2",
    "          \2CLONES *\2",
    NULL
};

static const char *akill_help[] =
{
    "Syntax: \2AKILL ADD|DEL|LIST [Mask|Number|Option]\2",
    " ",
    "Allows you to add, remove, or list AutoKills. There are a",
    "number of parameters for each command:",
    " ",
    "\2ADD Mask|Nick [!P] [!R] [!T Expire Time] Reason\2 - The expire",
    "time is optional. If no expire time is given, the default will",
    "be used. Expire times are in the format of Days, Hours, Minutes,",
    "Seconds. For example, an expire time of 5 days, 1 hour and 30",
    "minutes would be 5d1h30m, an expire time of 10 days, 0 hours",
    "and 30 minutes would be 10d30m. You must give the \2!T\2 token to",
    "have an expire time understood. If the \2!R\2 token is given,",
    "OperStats will treat the mask as a realname, and will AKill",
    "any users with matching realnames. If the \2!P\2 token is given,",
    "the AKill will never expire. If both the \2!T\2 and \2!P\2 tokens are",
    "given, The \2!P\2 token will have no effect. If you give a nickname",
    "instead of a mask, OperStats will find that user's mask and",
    "AutoKill it. If the user is not online, you will have to provide",
    "a valid mask. The \2!P\2 token must always be given before the \2!R\2",
    "token, and the \2!R\2 token must always be given before the \2!T\2",
    "token.",
    " ",
    "\2DEL Mask|Number|ALL\2 - Remove an AutoKill.",
    " ",
    "\2LIST [FULL] [Match]\2 - Search for an AKill. If the",
    "first parameter is \2FULL\2, AKill reasons will be displayed,",
    "otherwise they will be omitted. If \2Match\2 is specified, it",
    "will be matched against the AKill mask and setter.",
    " ",
    "Examples: \2AKILL ADD *@*.someisp.com You are not welcome.\2",
    "          \2AKILL ADD *@*.someisp.com !T 5d1h30m You are not welcome.\2",
    "          \2AKILL ADD *@*.someisp.com !P You are not welcome.\2",
    "          \2AKILL ADD *sub7* !R Sub7 - You are not welcome.\2",
    "          \2AKILL ADD *sub7* !R !T 10d Sub7 - You are not welcome.\2",
    "          \2AKILL DEL *@*.someisp.com\2",
    "          \2AKILL DEL 25\2",
    "          \2AKILL DEL ALL\2",
    "          \2AKILL LIST\2",
    "          \2AKILL LIST *match*\2",
    "          \2AKILL LIST FULL\2",
    "          \2AKILL LIST FULL *match*\2",
    NULL
};

static const char *global_help[] =
{
    "Syntax: \2GLOBAL Message\2",
    " ",
    "Sends a global notice. If your TLD setting is correct, all users",
    "on the network will see the notice.",
    " ",
    "Example: \2GLOBAL We are doing some routing, There will be a short split.\2",
    NULL
};

static const char *logonmsg_help[] =
{
    "Syntax: \2LOGONMSG ADD|DEL|LIST [Text|Number|ALL]",
    " ",
    "Allows you to add, remove or list LogonMSGs. The syntax for",
    "each command is as follows:",
    " ",
    "\2ADD Text for LogonMSG\2",
    "\2DEL Number|ALL\2",
    "\2LIST\2",
    " ",
    "Due to the nature of LogonMSGs, \2DEL\2 and \2LIST\2 do not",
    "attempt any matching against the message contents.",
    " ",
    "Examples: \2LOGONMSG ADD Welcome to ExampleNet!\2",
    "          \2LOGONMSG DEL 1\2",
    "          \2LOGONMSG DEL ALL\2",
    "          \2LOGONMSG LIST\2",
    NULL
};

static const char *trigger_help[] =
{
    "Syntax: \2TRIGGER ADD|DEL|LIST [Host|Number|ALL] [Limit]",
    " ",
    "Allows you to add, remove or list Triggers. A Trigger allows",
    "the Triggered host to have the defined number of connections.",
    "This allows you to set individual limits for certain hosts, such",
    "as your network's channel and nickname services.",
    " ",
    "Examples: \2TRIGGER ADD service@example.net 20\2",
    "          \2TRIGGER DEL 1\2",
    "          \2TRIGGER DEL ALL\2",
    "          \2TRIGGER DEL service@example.net\2",
    "          \2TRIGGER LIST\2",
    NULL
};

static const char *exception_help[] =
{
    "Syntax: \2EXCEPTION ADD|DEL|LIST [Host|Number|ALL]",
    " ",
    "Allows you to add, remove or list Exceptions. An Exception allows",
    "the specified host to have total immunity to clone detection.",
    "Exceptions also override any Trigger-set limits.",
    " ",
    "Examples: \2EXCEPTION ADD service@example.net\2",
    "          \2EXCEPTION DEL 1\2",
    "          \2EXCEPTION DEL ALL\2",
    "          \2EXCEPTION DEL service@example.net\2",
    "          \2EXCEPTION LIST\2",
    NULL
};